@font-face {
  font-family: "font";
  src: url(data/PressStart2P-Regular.ttf), format(trueType);
}

:root {
  --text-color: blue;
  --main-font: "font";
  --float-font-size: 11pt;
  --title-font-size: 14pt;
  --base-padding: 1vw;
  --base-margin: 3vw;
}

body {
  font-family: var(--main-font);
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  overflow: hidden;
}

canvas {
  position: fixed;
  top: 0;
  left: 0;
  z-index: -1;
}

.background-image {
  position: absolute;
  top: 2vh;
  left: 2.4vw;
  width: 24vw;
  aspect-ratio: 420 / 900;
  background-image: url("data/images/250109_phone-seetrough.png");
  background-size: cover;
  background-position: center;
  z-index: 1;
}

.app-container {
  display: grid;
  grid-template-columns: repeat(16, 1fr);
  width: 100%;
  gap: var(--base-margin);
  justify-content: center;
  height: 100%;
}

.col-1 {
  grid-column: span 1;
}
.col-2 {
  grid-column: span 2;
}
.col-3 {
  grid-column: span 3;
}
.col-4 {
  grid-column: span 4;
}
.col-5 {
  grid-column: span 5;
}
.col-6 {
  grid-column: span 6;
}
.col-7 {
  grid-column: span 7;
}
.col-8 {
  grid-column: span 8;
}
.col-9 {
  grid-column: span 9;
}
.col-10 {
  grid-column: span 10;
}
.col-11 {
  grid-column: span 11;
}
.col-12 {
  grid-column: span 12;
}
.col-13 {
  grid-column: span 13;
}
.col-14 {
  grid-column: span 14;
}
.col-15 {
  grid-column: span 15;
}
.col-16 {
  grid-column: span 16;
}

.startButton {
  display: block;
  grid-column: 5 / 13;
  grid-row: 1;
  font-size: 3.4vw;
  font-family: "font";
  text-decoration: underline;
  color: blue;
  text-align: center;
  border: 4px solid blue;
  border-radius: 20px;
  background-color: rgba(180, 250, 255, 0.5);
  padding: 2vw;
  transition: all 0.3s ease;
  margin-top: 4vh;
  margin-left: 2vw;
  margin-right: 3vw;
  cursor: pointer;
  animation: blink 2s infinite linear;
}

@keyframes blink {
  25% {
    border-color: rgba(255, 0, 166, 1);
    color: rgba(255, 0, 166, 1);
  }
  50% {
    border-color: violet;
    color: violet;
  }
  70% {
    border-color: red;
    color: red;
  }
}

.startButton:hover {
  background-color: rgba(180, 250, 255, 1);
  transform: scale(0.96);
}

.option-container {
  display: block;
  grid-column: 2 / 5;
  grid-row: 2;
  background-color: rgba(180, 250, 255, 1);
}

.options {
  padding: var(--base-padding);
  font-size: var(--float-font-size);
  color: var(--text-color);
  line-height: 1.6;
  margin-top: 1vh;
  margin-left: 0.4vw;
  width: 85%;
}

.title01 {
  font-size: var(--title-font-size);
  color: var(--text-color);
  margin-top: -0.8vh;
}

.message-input-container {
  display: block;
  grid-column: 5 / 16;
  grid-row: 2;
  background-color: rgba(180, 250, 255, 1);
  border: 4px solid rgba(255, 0, 166, 1);
  border-radius: 20px;
  color: var(--text-color);
  padding: var(--base-padding);
  line-height: 1.6;
  margin-left: 2vw;
  margin-right: -3vw;
  margin-top: -1.4vh;
}

.input-container {
  display: flex;
  align-items: baseline;
  gap: 1vw;
  width: 100%;
}

#nameInput {
  font-family: "font";
  padding: var(--base-padding);
  font-size: var(--float-font-size);
  background-color: transparent;
  color: blue;
  line-height: 1.6;
  flex: 1;
  width: 20%;
}

#messageInput {
  font-family: "font";
  padding: var(--base-padding);
  font-size: var(--float-font-size);
  background-color: transparent;
  color: blue;
  line-height: 1.6;
  flex: 3;
}

.share-button {
  font-family: "font";
  font-size: var(--float-font-size);
  text-decoration: underline;
  color: blue;
  text-align: center;
  border: 3px solid blue;
  background-color: rgba(180, 250, 255, 1);
  border-radius: 16px;
  padding: 1.25vw;
  transition: all 0.3s ease;
  flex: 0 0 auto;
  cursor: pointer;
  overflow: hidden;
  /* animation: blink 2s infinite linear; */
}

.share-button:hover {
  transform: scale(0.9);
}

#messageInput::-webkit-scrollbar {
  display: none;
}

#nameInput,
#messageInput {
  border: 3px solid rgba(255, 0, 166, 1);
  border-radius: 16px;
  height: 2.8vh;
}

#messageBoard {
  font-family: "font";
  color: blue;
  line-height: 1.6;
  height: 47vh;
  overflow-y: auto;
}

#messageBoard::-webkit-scrollbar {
  display: none;
}

.message-item {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.message-item:nth-child(2n) {
  align-items: flex-end;
}

.message-item:nth-child(2n) .message-name {
  text-align: right;
}

.message-item:nth-child(2n) .message-text {
  text-align: right;
}

footer {
  display: block;
  grid-column: 13 / 16;
  grid-row: 3;
  display: flex;
  gap: 1vw;
  margin-top: -2vh;
}

.instagram-link {
  color: blue;
}

.instaButton {
  background-color: rgba(180, 250, 255, 0.5);
  /* border: 3px solid rgba(255, 0, 166, 1); */
  border: 3px solid blue;
  border-radius: 16px;
  padding: var(--base-padding);
  font-size: var(--float-font-size);
  color: blue;
  cursor: pointer;
  transition: all 0.3s ease;
}

.instaButton:hover {
  transform: scale(0.9);
}

.aboutButton {
  background-color: rgba(180, 250, 255, 0.5);
  /* border: 3px solid rgba(255, 0, 166, 1); */
  border: 3px solid blue;
  border-radius: 16px;
  padding: var(--base-padding);
  font-size: var(--float-font-size);
  color: blue;
  text-decoration: underline;
  cursor: pointer;
  transition: all 0.3s ease;
  z-index: 2;
}

.aboutButton:hover {
  transform: scale(0.9);
}

#about-panel {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /* background-color: rgba(0, 0, 0, 0.8); */
  background-color: rgba(180, 250, 255, 0.9);
  display: none;
  align-items: center;
  z-index: 1;
  overflow-y: scroll;
}

.about-container {
  gap: 2vh;
  margin: 4vw;
  margin-top: 24vh;
  width: 50%;
}

.img {
  width: 30vw;
  height: auto;
  padding: 8px;
  margin-left: -4px;
}

.about-img {
  display: flex;
  width: 100%;
}

.about-text {
  color: blue;
  font-size: var(--float-font-size);
  line-height: 1.6;
}

.admin-toggle {
  position: fixed;
  top: 6vh;
  right: -1.6vw;
  transform: translateY(-50%) rotate(-90deg);
  color: blue;
  font-size: 8pt;
  padding: var(--base-padding);
  cursor: pointer;
  z-index: 2;
  transition: all 0.3s ease;
}

.admin-overlay {
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  position: fixed;
  background-color: rgba(180, 250, 255, 0.9);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 1;
}

.admin-panel button {
  background-color: red;
  color: black;
  border: none;
  font-family: "font";
  border-radius: 14px;
  cursor: pointer;
  padding: var(--base-padding);
  margin-top: 2vh;
}

.admin-panel button:last-child {
  background-color: rgb(0, 255, 140);
}

#output,
#current-audio {
  font-size: var(--title-font-size);
  color: blue;
}
